#
# Conditinal build:
%bcond_without	apidocs		# disable API documentation
%bcond_without	libportal	# xdg-desktop-portals integration
%bcond_without	selinux		# SELinux context support in file properties dialog

%ifarch alpha ia64 m68k parisc parisc64 sh4 sparc sparcv9 sparc64
%define	use_seccomp	0
%else
%define	use_seccomp	1
%endif
Summary:	Nautilus is a file manager for the GNOME desktop environment
Summary(pl.UTF-8):	Nautilus - powłoka GNOME i zarządca plików
Summary(pt_BR.UTF-8):	Nautilus é um gerenciador de arquivos para o GNOME
Name:		nautilus
Version:	40.2
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/nautilus/40/%{name}-%{version}.tar.xz
# Source0-md5:	62f856359dcb2964b5cb2e02e90ad2dd
URL:		https://wiki.gnome.org/Apps/Files
BuildRequires:	docbook-dtd412-xml
BuildRequires:	fontconfig-devel
# -std=c11
BuildRequires:	gcc >= 6:4.7
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	gexiv2-devel >= 0.10.0
BuildRequires:	glib2-devel >= 1:2.67.1
BuildRequires:	gnome-autoar-devel >= 0.3.0
BuildRequires:	gnome-desktop-devel >= 3.0.0
BuildRequires:	gobject-introspection-devel >= 0.6.4
BuildRequires:	gsettings-desktop-schemas-devel >= 3.8.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.22.27
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libhandy1-devel >= 1.1.90
%{?with_libportal:BuildRequires:	libportal-devel >= 0.3}
%if %{use_seccomp}
BuildRequires:	libseccomp-devel
%endif
%{?with_selinux:BuildRequires:	libselinux-devel >= 2.0}
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker3-devel >= 3.0
# for tests
#BuildRequires:	tracker3-testutils >= 3.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.67.1
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gexiv2 >= 0.10.0
Requires:	glib2 >= 1:2.67.1
Requires:	gnome-autoar >= 0.3.0
Requires:	gsettings-desktop-schemas >= 3.8.0
Requires:	gvfs >= 1.16.0
Requires:	hicolor-icon-theme
Requires:	libhandy1 >= 1.1.90
%{?with_libportal:Requires:	libportal >= 0.3}
Requires:	libxml2 >= 1:2.7.8
Requires:	tracker3 >= 3.0
Requires:	tracker3-miners >= 3.0
Provides:	gnome-volume-manager
Obsoletes:	eel < 2.21
Obsoletes:	gnome-volume-manager < 2.23
Obsoletes:	gstreamer-player-nautilus < 0.9
Obsoletes:	nautilus-gtkhtml < 0.4
Obsoletes:	nautilus-media < 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%description -l pl.UTF-8
GNU Nautilus jest programem do zarządzania plikami i graficzną powłoką
dla GNOME. Służy również bardzo dobrze jako przeglądarka stron WWW.

%description -l pt_BR.UTF-8
O nautilus é um excelente gerenciador de arquivos para o GNOME.

%package libs
Summary:	Nautilus libraries
Summary(pl.UTF-8):	Biblioteki Nautilusa
Group:		X11/Libraries
Requires:	glib2 >= 1:2.67.1
Requires:	gtk+3 >= 3.22.27

%description libs
Nautilus libraries.

%description libs -l pl.UTF-8
Biblioteki Nautilusa.

%package devel
Summary:	Libraries and include files for developing Nautilus components
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia komponentów dla Nautilusa
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos para desenvolvimento com o nautilus
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.67.1
Requires:	gtk+3-devel >= 3.22.27
Obsoletes:	eel-devel < 2.21
Obsoletes:	nautilus-static < 3.26

%description devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe potrzebne do programowania.

%description devel -l pt_BR.UTF-8
Este pacote fornece os arquivos necessários para desenvolvimento
utilizando componentes do nautilus.

%package apidocs
Summary:	Nautilus API documentation
Summary(pl.UTF-8):	Dokumentacja API Nautilusa
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
Nautilus API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Nautilusa.

%prep
%setup -q

%build
%meson build \
	-Ddocs=%{__true_false apidocs} \
	%{!?with_libportal:-Dlibportal=false} \
	-Dpackagekit=true \
	%{?with_selinux:-Dselinux=true} \
	-Dtests=none

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/io

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/nautilus
%attr(755,root,root) %{_bindir}/nautilus-autorun-software
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-3.0
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-image-properties.so
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-sendto.so
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libtotem-properties-page.so
%{_datadir}/metainfo/org.gnome.Nautilus.appdata.xml
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
%{_datadir}/dbus-1/services/org.gnome.Nautilus.service
%{_datadir}/dbus-1/services/org.gnome.Nautilus.Tracker3.Miner.Extract.service
%{_datadir}/dbus-1/services/org.gnome.Nautilus.Tracker3.Miner.Files.service
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Nautilus.search-provider.ini
%{_datadir}/nautilus
# XXX: tracker3 owns datadir/tracker3/ontologies, tracker3-miners own datadir/tracker3-miners/domain-ontologies - 3rd variant here?
%dir %{_datadir}/tracker3/domain-ontologies
%{_datadir}/tracker3/domain-ontologies/org.gnome.Nautilus.domain.rule
%{_desktopdir}/nautilus-autorun-software.desktop
%{_desktopdir}/org.gnome.Nautilus.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Nautilus.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Nautilus-symbolic.svg
%{_mandir}/man1/nautilus.1*
%{_mandir}/man1/nautilus-autorun-software.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-extension.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnautilus-extension.so.1
%{_libdir}/girepository-1.0/Nautilus-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-extension.so
%{_includedir}/nautilus
%{_datadir}/gir-1.0/Nautilus-3.0.gir
%{_pkgconfigdir}/libnautilus-extension.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnautilus-extension
%endif
%changelog
* Tue Jun 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nautilus.git;a=log;h=master

* Tue Jun 08 2021 Jakub Bogusz <qboosh@pld-linux.org> 3dd13ec
- updated to 40.2

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> d94c3d2
- updated to 40.1

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 8567bf5
- updated to 40.0
- versioned Obsoletes

* Wed Mar 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 6b3275a
- R: tracker3-miners (or nautilus dies with unaccessible schema); release 2

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7cc78b4
- unconditional noarch subpackages

* Fri Nov 20 2020 Jakub Bogusz <qboosh@pld-linux.org> d301b32
- updated to 3.38.2

* Fri Oct 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 10b4084
- updated to 3.38.1

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> b70e641
- own missing dir for now

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 01cbccc
- updated to 3.38.0

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> be642b6
- updated to 3.36.3

* Sat Apr 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 58cc986
- updated to 3.36.2

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 938bb30
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Sun Nov 24 2019 Jakub Bogusz <qboosh@pld-linux.org> a4f6a6b
- updated to 3.34.2

* Fri Oct 11 2019 Jakub Bogusz <qboosh@pld-linux.org> c465a5f
- updated to 3.34.1

* Wed Aug 07 2019 Jakub Bogusz <qboosh@pld-linux.org> e3d1a2a
- updated to 3.32.3

* Thu Jul 25 2019 Jakub Bogusz <qboosh@pld-linux.org> fdbbe93
- updated to 3.32.1

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 9a0845e
- Updated to 3.30.5

* Fri Mar 16 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 735ebd4
- Update to 3.28.0.1

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> f36e1b5
- up to 3.26.2

* Fri May 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a8c8d2b
- Update to 3.24.1

